Bug 383761 - Domains in the dying state cause virt-manager to hang in the connecting state
Domains in the dying state cause virt-manager to hang in the connecting state
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 21:54 EST by Robert Nelson
Modified: 2008-12-21 03:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:28:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (1007 bytes, patch)
2007-11-14 22:00 EST, Robert Nelson
no flags Details | Diff

  None (edit)
Description Robert Nelson 2007-11-14 21:54:10 EST
Description of problem:
If a domain is stuck in the process of dying then virt-manager can't be started.

This was discovered due to an as yet undetermined bug in either OpenSolaris PV
domU or xen.  When the domain is shutdown there is a leaked L4 page table since
the domain never releases all its resources xen doesn't delete it.  However
shutdown has proceeded far enough that the domain is no longer in xenstore.


Version-Release number of selected component (if applicable):
0.5.2-2

How reproducible:


Steps to Reproduce:
1. Install OpenSolaris domU.
2. Shut it down
3. Try to start virt-manager
  
Actual results:
virt-manager hangs in the connecting state.

Expected results:
virt-manager starts normally ignoring the domain.

Additional info:
Comment 1 Robert Nelson 2007-11-14 22:00:11 EST
Created attachment 259281 [details]
Fix
Comment 2 Cole Robinson 2008-05-08 10:39:54 EDT
Similar fix was applied upstream a couple months ago:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=45c2fe244c4d

This isn't slated for F8 yet, but will be in F9. Putting bug in POST.
Comment 3 Bug Zapper 2008-11-26 03:26:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Cole Robinson 2008-11-26 10:28:21 EST
This isn't hitting F8, but will be in for F9 shortly. Moving to F9.
Comment 5 Fedora Update System 2008-12-01 13:10:57 EST
virt-manager-0.6.0-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virt-manager-0.6.0-0.fc9
Comment 6 Fedora Update System 2008-12-01 13:23:13 EST
virt-manager-0.6.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virt-manager-0.6.0-1.fc9
Comment 7 Fedora Update System 2008-12-02 20:30:06 EST
virt-manager-0.6.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10705
Comment 8 Fedora Update System 2008-12-21 03:27:11 EST
virt-manager-0.6.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.